#ifndef _UI_HISTORY_REPORT_PAGE_H_
#define _UI_HISTORY_REPORT_PAGE_H_

#include "../ui_config.h"
#include "service/service_history_report.h"

/* ============================ 接口函数声明 ============================= */

/**
 * @brief 创建历史报告页面
 * @param config 页面配置数据
 * @return true-创建成功，false-失败
 */
bool history_report_page_create(HistoryReportPageConfig *config);

/**
 * @brief 刷新历史报告页面
 * @param config 页面配置数据
 */
void history_report_page_refresh(HistoryReportPageConfig *config);

/**
 * @brief 销毁历史报告页面
 */
void history_report_page_destroy(void);

#endif /* _UI_HISTORY_REPORT_PAGE_H_ */
